/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.xpresso.xml;

/**
 *
 *The ProcessingInstruction is used to add a processing instruction to the XML document.<br />
 *<br /W
 *This code is under the <a href="http://www.gnu.org/licenses/lgpl.html">LGPL v3 licence</a>.
 * @author Alexis Dufrenoy
 *
 */
public class ProcessingInstruction extends XmlContent {

	/**
	 * 
	 */
	private static final long serialVersionUID = 8723002726174942647L;

	/**
	 * Constructs a ProcessingInstruction block with the given String.
	 * @param pi The content of the block
	 * @throws IllegalContentException Thrown if the given String contains the sequence "]]>"
	 */
	protected ProcessingInstruction(String pi) throws IllegalContentException {
		if (isValid(pi)) {
			content = new StringBuilder();
			content.append("<?")
				.append(pi)
				.append("?>");
		} else {
			throw new IllegalContentException("The string "+pi+" is illegal as a XML processing instruction");
		}
	}

	/**
	 * Check if the content given in parameter is valid to be used in a ProcessingInstruction block.
	 * @param content The content to be checked
	 * @return false if the given String contains the sequence "?>", true if not
	 */
	public static boolean isValid(String content) {
		boolean ret=true;
		if (content.contains("?>")) {
			ret=false;
		}
		return ret;
	}

}
