/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.xpresso.xml;

/**
 *
 *The classe Text is used to add text to the XML document.<br />
 *<br />
 *This code is under the <a href="http://www.gnu.org/licenses/lgpl.html">LGPL v3 licence</a>.
 * @author Alexis Dufrenoy
 */
public class Text extends XmlContent {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7901352301194852048L;

	/**
	 * Constructs a Text block with the given String.
	 * @param text The content of the block
	 * @throws IllegalContentException Thrown if the given String contains the sequence "]]>"
	 */
	protected Text(String text) throws IllegalContentException {
        if (isValid(text)) {
            content = new StringBuilder();
            content.append(text);
        } else {
			throw new IllegalContentException("The string "+text+" is illegal as a XML text");
		}
    }

    /**
	 * Check if the content given in parameter is valid to be used in a Text block.
	 * @param content The content to be checked
	 * @return false if the given String contains a "&" outside an entity or a "<", true if not
	 */
    public static boolean isValid(String content) {
        boolean ret=true;
        if (content.contains("<") || (content.contains("&") && !content.matches("&[a-z]+\\;|&#[0-9]+;"))) {
            ret=false;
        }
        return ret;
    }

}
