package org.xpresso.xml.concurrent;

import java.util.Map;

import org.xpresso.xml.Element;
import org.xpresso.xml.IllegalContentException;

/**
 * Thread-safe version of Element. Some methods are synchronized.<br />
 * <br />
 * This code is under the <a href="http://www.gnu.org/licenses/lgpl.html">LGPL v3 licence</a>.
 * @author Alexis Dufrenoy
 *
 */
public class ConcurrentElement extends Element {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7287533360557643993L;

	public ConcurrentElement(String label) throws IllegalContentException {
		super(label);
	}

	@Override
	public synchronized void addAttribute(String key, String value)
			throws IllegalContentException {
		super.addAttribute(key, value);
	}

	@Override
	public synchronized Map<String, String> getAttributes() {
		return super.getAttributes();
	}

	@Override
	public synchronized String getLabel() {
		return super.getLabel();
	}

	@Override
	public synchronized String getText() {
		return super.getText();
	}

}
