package org.xpresso.xml.output;

import java.io.IOException;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.io.Writer;

import org.xpresso.xml.Document;

/**
 * Outputter make the XML content of the Document available by various means.<br />
 * <br />
 * This code is under the <a href="http://www.gnu.org/licenses/lgpl.html">LGPL v3 licence</a>. 
 * @author Alexis Dufrenoy
 *
 */
public class Outputter {
	
	/**
	 * Make it possible to output the Document in a Writer
	 * @param document The document
	 * @param writer
	 * @throws IOException
	 */
	public void output(Document document, Writer writer) throws IOException {
		writer.write(document.getText());
	}
	
	/**
	 * Make it possible to output the Document in a Outputstream
	 * @param document
	 * @param stream
	 * @throws IOException
	 */
	public void output(Document document, OutputStream stream) throws IOException {
		OutputStreamWriter writer = new OutputStreamWriter(stream);
		writer.write(document.getText());
	}

}
